aboutsummaryrefslogtreecommitdiffstats
path: root/testing/polkit-gnome/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-29 11:08:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-29 11:08:34 +0000
commitf7b985d6ab2ae0047a04433189abe114cf637127 (patch)
treea712d2bf841f05b378514b6f5e2bd687ee61e387 /testing/polkit-gnome/APKBUILD
parent08114e959a98c150888b90cc03eeb17898a6137f (diff)
downloadaports-f7b985d6ab2ae0047a04433189abe114cf637127.tar.gz
aports-f7b985d6ab2ae0047a04433189abe114cf637127.tar.bz2
aports-f7b985d6ab2ae0047a04433189abe114cf637127.tar.xz
testing/polkit-gnome: new aport
PolicyKit integration for the GNOME desktop http://www.freedesktop.org/wiki/Software/PolicyKit
Diffstat (limited to 'testing/polkit-gnome/APKBUILD')
-rw-r--r--testing/polkit-gnome/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/polkit-gnome/APKBUILD b/testing/polkit-gnome/APKBUILD
new file mode 100644
index 0000000000..0f62123d06
--- /dev/null
+++ b/testing/polkit-gnome/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=polkit-gnome
+pkgver=0.99
+pkgrel=0
+pkgdesc="PolicyKit integration for the GNOME desktop"
+url="http://www.freedesktop.org/wiki/Software/PolicyKit"
+arch="all"
+license="LGPL"
+depends=""
+makedepends="polkit-dev gtk+-dev gobject-introspection"
+subpackages="$pkgname-dev"
+source="http://hal.freedesktop.org/releases/polkit-gnome-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ sed -i -e 's/OnlyShowIn=GNOME/NotShowIn=KDE/' \
+ src/polkit-gnome-authentication-agent-1.desktop.in.in
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/polkit-gnome \
+ --disable-static \
+ --disable-introspection \
+ || return 1
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="f1a2565083266bc8c05c60aa7d8a0f6a polkit-gnome-0.99.tar.bz2"